/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
export namespace Components {
    interface GlassPassport {
        /**
          * The authority of the id
         */
        "authorityId": string;
        /**
          * The birthdate of the id
         */
        "birthDate": string;
        /**
          * The codcountry of the id
         */
        "codCountry": string;
        /**
          * The authority of the id
         */
        "dateExpiry": string;
        /**
          * The dateissue of the id
         */
        "dateIssue": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The height of the id
         */
        "heightId": string;
        /**
          * The nationality of the id
         */
        "nationalityId": string;
        /**
          * The number of the id
         */
        "passportNumber": string;
        /**
          * The personalno of the id
         */
        "personalNo": string;
        /**
          * The placebirth of the id
         */
        "placeBirth": string;
        /**
          * The sex of the id
         */
        "sexId": "M" | "F";
        /**
          * The location of the profile male icon
         */
        "srcFemale": string;
        /**
          * The location of the profile male icon
         */
        "srcMale": string;
        /**
          * The location of the passport source icon
         */
        "srcPassport": string;
        /**
          * The location of the republic source icon
         */
        "srcRepublic": string;
        /**
          * The location of the signature image source
         */
        "srcSignature": string;
        /**
          * The surname of the id
         */
        "surnameId": string;
        /**
          * The type of the id
         */
        "typeId": string;
    }
    interface GlassPassportGr {
        /**
          * The authority of the id
         */
        "authorityId": string;
        /**
          * The birthdate of the id
         */
        "birthDate": string;
        /**
          * The codcountry of the id
         */
        "codCountry": string;
        /**
          * The authority of the id
         */
        "dateExpiry": string;
        /**
          * The dateissue of the id
         */
        "dateIssue": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The height of the id
         */
        "heightId": string;
        /**
          * The nationality of the id
         */
        "nationalityId": string;
        /**
          * The number of the id
         */
        "passportNumber": string;
        /**
          * The personalno of the id
         */
        "personalNo": string;
        /**
          * The placebirth of the id
         */
        "placeBirth": string;
        /**
          * The sex of the id
         */
        "sexId": "M" | "F";
        /**
          * The location of the profile male icon
         */
        "srcFemale": string;
        /**
          * The location of the profile male icon
         */
        "srcMale": string;
        /**
          * The location of the passport source icon
         */
        "srcPassport": string;
        /**
          * The location of the republic source icon
         */
        "srcRepublic": string;
        /**
          * The location of the signature image source
         */
        "srcSignature": string;
        /**
          * The surname of the id
         */
        "surnameId": string;
        /**
          * The type of the id
         */
        "typeId": string;
    }
    interface GlassPassportPt {
        /**
          * The authority of the id
         */
        "authorityId": string;
        /**
          * The birthdate of the id
         */
        "birthDate": string;
        /**
          * The codcountry of the id
         */
        "codCountry": string;
        /**
          * The authority of the id
         */
        "dateExpiry": string;
        /**
          * The dateissue of the id
         */
        "dateIssue": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The height of the id
         */
        "heightId": string;
        /**
          * The nationality of the id
         */
        "nationalityId": string;
        /**
          * The number of the id
         */
        "passportNumber": string;
        /**
          * The personalno of the id
         */
        "personalNo": string;
        /**
          * The placebirth of the id
         */
        "placeBirth": string;
        /**
          * The sex of the id
         */
        "sexId": "M" | "F";
        /**
          * The location of the profile male icon
         */
        "srcFemale": string;
        /**
          * The location of the profile male icon
         */
        "srcMale": string;
        /**
          * The location of the passport source icon
         */
        "srcPassport": string;
        /**
          * The location of the republic source icon
         */
        "srcRepublic": string;
        /**
          * The location of the signature image source
         */
        "srcSignature": string;
        /**
          * The surname of the id
         */
        "surnameId": string;
        /**
          * The type of the id
         */
        "typeId": string;
    }
    interface GlassPassportTk {
        /**
          * The authority of the id
         */
        "authorityId": string;
        /**
          * The birthdate of the id
         */
        "birthDate": string;
        /**
          * The codcountry of the id
         */
        "codCountry": string;
        /**
          * The authority of the id
         */
        "dateExpiry": string;
        /**
          * The dateissue of the id
         */
        "dateIssue": string;
        /**
          * The givenname of the id
         */
        "givenName": string;
        /**
          * The height of the id
         */
        "heightId": string;
        /**
          * The nationality of the id
         */
        "nationalityId": string;
        /**
          * The number of the id
         */
        "passportNumber": string;
        /**
          * The personalno of the id
         */
        "personalNo": string;
        /**
          * The placebirth of the id
         */
        "placeBirth": string;
        /**
          * The sex of the id
         */
        "sexId": "M" | "F";
        /**
          * The location of the profile male icon
         */
        "srcFemale": string;
        /**
          * The location of the profile male icon
         */
        "srcMale": string;
        /**
          * The location of the passport source icon
         */
        "srcPassport": string;
        /**
          * The location of the republic source icon
         */
        "srcRepublic": string;
        /**
          * The location of the signature image source
         */
        "srcSignature": string;
        /**
          * The surname of the id
         */
        "surnameId": string;
        /**
          * The type of the id
         */
        "typeId": string;
    }
    interface GlassResidencePermit {
        /**
          * The expiration of the residence permit
         */
        "expiryDate": string;
        /**
          * The givenname of the residence permit
         */
        "givenName": string;
        /**
          * The issuing authority of the residence permit
         */
        "issuingAuthority": string;
        /**
          * The issuing date of the residence permit
         */
        "issuingDate": string;
        /**
          * The permit duration of the residence permit
         */
        "permitDuration": string;
        /**
          * The issuing date of the residence permit
         */
        "permitType": string;
        /**
          * The surname of the residence permit
         */
        "surname": string;
    }
    interface GlassResidencePermitGr {
        /**
          * The expiration of the residence permit
         */
        "expiryDate": string;
        /**
          * The givenname of the residence permit
         */
        "givenName": string;
        /**
          * The issuing authority of the residence permit
         */
        "issuingAuthority": string;
        /**
          * The issuing date of the residence permit
         */
        "issuingDate": string;
        /**
          * The permit duration of the residence permit
         */
        "permitDuration": string;
        /**
          * The issuing date of the residence permit
         */
        "permitType": string;
        /**
          * The surname of the residence permit
         */
        "surname": string;
    }
    interface GlassResidencePermitPt {
        /**
          * The expiration of the residence permit
         */
        "expiryDate": string;
        /**
          * The givenname of the residence permit
         */
        "givenName": string;
        /**
          * The issuing authority of the residence permit
         */
        "issuingAuthority": string;
        /**
          * The issuing date of the residence permit
         */
        "issuingDate": string;
        /**
          * The permit duration of the residence permit
         */
        "permitDuration": string;
        /**
          * The issuing date of the residence permit
         */
        "permitType": string;
        /**
          * The surname of the residence permit
         */
        "surname": string;
    }
    interface GlassResidencePermitTk {
        /**
          * The expiration of the residence permit
         */
        "expiryDate": string;
        /**
          * The givenname of the residence permit
         */
        "givenName": string;
        /**
          * The issuing authority of the residence permit
         */
        "issuingAuthority": string;
        /**
          * The issuing date of the residence permit
         */
        "issuingDate": string;
        /**
          * The permit duration of the residence permit
         */
        "permitDuration": string;
        /**
          * The issuing date of the residence permit
         */
        "permitType": string;
        /**
          * The surname of the residence permit
         */
        "surname": string;
    }
}
declare global {
    interface HTMLGlassPassportElement extends Components.GlassPassport, HTMLStencilElement {
    }
    var HTMLGlassPassportElement: {
        prototype: HTMLGlassPassportElement;
        new (): HTMLGlassPassportElement;
    };
    interface HTMLGlassPassportGrElement extends Components.GlassPassportGr, HTMLStencilElement {
    }
    var HTMLGlassPassportGrElement: {
        prototype: HTMLGlassPassportGrElement;
        new (): HTMLGlassPassportGrElement;
    };
    interface HTMLGlassPassportPtElement extends Components.GlassPassportPt, HTMLStencilElement {
    }
    var HTMLGlassPassportPtElement: {
        prototype: HTMLGlassPassportPtElement;
        new (): HTMLGlassPassportPtElement;
    };
    interface HTMLGlassPassportTkElement extends Components.GlassPassportTk, HTMLStencilElement {
    }
    var HTMLGlassPassportTkElement: {
        prototype: HTMLGlassPassportTkElement;
        new (): HTMLGlassPassportTkElement;
    };
    interface HTMLGlassResidencePermitElement extends Components.GlassResidencePermit, HTMLStencilElement {
    }
    var HTMLGlassResidencePermitElement: {
        prototype: HTMLGlassResidencePermitElement;
        new (): HTMLGlassResidencePermitElement;
    };
    interface HTMLGlassResidencePermitGrElement extends Components.GlassResidencePermitGr, HTMLStencilElement {
    }
    var HTMLGlassResidencePermitGrElement: {
        prototype: HTMLGlassResidencePermitGrElement;
        new (): HTMLGlassResidencePermitGrElement;
    };
    interface HTMLGlassResidencePermitPtElement extends Components.GlassResidencePermitPt, HTMLStencilElement {
    }
    var HTMLGlassResidencePermitPtElement: {
        prototype: HTMLGlassResidencePermitPtElement;
        new (): HTMLGlassResidencePermitPtElement;
    };
    interface HTMLGlassResidencePermitTkElement extends Components.GlassResidencePermitTk, HTMLStencilElement {
    }
    var HTMLGlassResidencePermitTkElement: {
        prototype: HTMLGlassResidencePermitTkElement;
        new (): HTMLGlassResidencePermitTkElement;
    };
    interface HTMLElementTagNameMap {
        "glass-passport": HTMLGlassPassportElement;
        "glass-passport-gr": HTMLGlassPassportGrElement;
        "glass-passport-pt": HTMLGlassPassportPtElement;
        "glass-passport-tk": HTMLGlassPassportTkElement;
        "glass-residence-permit": HTMLGlassResidencePermitElement;
        "glass-residence-permit-gr": HTMLGlassResidencePermitGrElement;
        "glass-residence-permit-pt": HTMLGlassResidencePermitPtElement;
        "glass-residence-permit-tk": HTMLGlassResidencePermitTkElement;
    }
}
declare namespace LocalJSX {
    interface GlassPassport {
        /**
          * The authority of the id
         */
        "authorityId"?: string;
        /**
          * The birthdate of the id
         */
        "birthDate"?: string;
        /**
          * The codcountry of the id
         */
        "codCountry"?: string;
        /**
          * The authority of the id
         */
        "dateExpiry"?: string;
        /**
          * The dateissue of the id
         */
        "dateIssue"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The height of the id
         */
        "heightId"?: string;
        /**
          * The nationality of the id
         */
        "nationalityId"?: string;
        /**
          * The number of the id
         */
        "passportNumber"?: string;
        /**
          * The personalno of the id
         */
        "personalNo"?: string;
        /**
          * The placebirth of the id
         */
        "placeBirth"?: string;
        /**
          * The sex of the id
         */
        "sexId"?: "M" | "F";
        /**
          * The location of the profile male icon
         */
        "srcFemale"?: string;
        /**
          * The location of the profile male icon
         */
        "srcMale"?: string;
        /**
          * The location of the passport source icon
         */
        "srcPassport"?: string;
        /**
          * The location of the republic source icon
         */
        "srcRepublic"?: string;
        /**
          * The location of the signature image source
         */
        "srcSignature"?: string;
        /**
          * The surname of the id
         */
        "surnameId"?: string;
        /**
          * The type of the id
         */
        "typeId"?: string;
    }
    interface GlassPassportGr {
        /**
          * The authority of the id
         */
        "authorityId"?: string;
        /**
          * The birthdate of the id
         */
        "birthDate"?: string;
        /**
          * The codcountry of the id
         */
        "codCountry"?: string;
        /**
          * The authority of the id
         */
        "dateExpiry"?: string;
        /**
          * The dateissue of the id
         */
        "dateIssue"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The height of the id
         */
        "heightId"?: string;
        /**
          * The nationality of the id
         */
        "nationalityId"?: string;
        /**
          * The number of the id
         */
        "passportNumber"?: string;
        /**
          * The personalno of the id
         */
        "personalNo"?: string;
        /**
          * The placebirth of the id
         */
        "placeBirth"?: string;
        /**
          * The sex of the id
         */
        "sexId"?: "M" | "F";
        /**
          * The location of the profile male icon
         */
        "srcFemale"?: string;
        /**
          * The location of the profile male icon
         */
        "srcMale"?: string;
        /**
          * The location of the passport source icon
         */
        "srcPassport"?: string;
        /**
          * The location of the republic source icon
         */
        "srcRepublic"?: string;
        /**
          * The location of the signature image source
         */
        "srcSignature"?: string;
        /**
          * The surname of the id
         */
        "surnameId"?: string;
        /**
          * The type of the id
         */
        "typeId"?: string;
    }
    interface GlassPassportPt {
        /**
          * The authority of the id
         */
        "authorityId"?: string;
        /**
          * The birthdate of the id
         */
        "birthDate"?: string;
        /**
          * The codcountry of the id
         */
        "codCountry"?: string;
        /**
          * The authority of the id
         */
        "dateExpiry"?: string;
        /**
          * The dateissue of the id
         */
        "dateIssue"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The height of the id
         */
        "heightId"?: string;
        /**
          * The nationality of the id
         */
        "nationalityId"?: string;
        /**
          * The number of the id
         */
        "passportNumber"?: string;
        /**
          * The personalno of the id
         */
        "personalNo"?: string;
        /**
          * The placebirth of the id
         */
        "placeBirth"?: string;
        /**
          * The sex of the id
         */
        "sexId"?: "M" | "F";
        /**
          * The location of the profile male icon
         */
        "srcFemale"?: string;
        /**
          * The location of the profile male icon
         */
        "srcMale"?: string;
        /**
          * The location of the passport source icon
         */
        "srcPassport"?: string;
        /**
          * The location of the republic source icon
         */
        "srcRepublic"?: string;
        /**
          * The location of the signature image source
         */
        "srcSignature"?: string;
        /**
          * The surname of the id
         */
        "surnameId"?: string;
        /**
          * The type of the id
         */
        "typeId"?: string;
    }
    interface GlassPassportTk {
        /**
          * The authority of the id
         */
        "authorityId"?: string;
        /**
          * The birthdate of the id
         */
        "birthDate"?: string;
        /**
          * The codcountry of the id
         */
        "codCountry"?: string;
        /**
          * The authority of the id
         */
        "dateExpiry"?: string;
        /**
          * The dateissue of the id
         */
        "dateIssue"?: string;
        /**
          * The givenname of the id
         */
        "givenName"?: string;
        /**
          * The height of the id
         */
        "heightId"?: string;
        /**
          * The nationality of the id
         */
        "nationalityId"?: string;
        /**
          * The number of the id
         */
        "passportNumber"?: string;
        /**
          * The personalno of the id
         */
        "personalNo"?: string;
        /**
          * The placebirth of the id
         */
        "placeBirth"?: string;
        /**
          * The sex of the id
         */
        "sexId"?: "M" | "F";
        /**
          * The location of the profile male icon
         */
        "srcFemale"?: string;
        /**
          * The location of the profile male icon
         */
        "srcMale"?: string;
        /**
          * The location of the passport source icon
         */
        "srcPassport"?: string;
        /**
          * The location of the republic source icon
         */
        "srcRepublic"?: string;
        /**
          * The location of the signature image source
         */
        "srcSignature"?: string;
        /**
          * The surname of the id
         */
        "surnameId"?: string;
        /**
          * The type of the id
         */
        "typeId"?: string;
    }
    interface GlassResidencePermit {
        /**
          * The expiration of the residence permit
         */
        "expiryDate"?: string;
        /**
          * The givenname of the residence permit
         */
        "givenName"?: string;
        /**
          * The issuing authority of the residence permit
         */
        "issuingAuthority"?: string;
        /**
          * The issuing date of the residence permit
         */
        "issuingDate"?: string;
        /**
          * The permit duration of the residence permit
         */
        "permitDuration"?: string;
        /**
          * The issuing date of the residence permit
         */
        "permitType"?: string;
        /**
          * The surname of the residence permit
         */
        "surname"?: string;
    }
    interface GlassResidencePermitGr {
        /**
          * The expiration of the residence permit
         */
        "expiryDate"?: string;
        /**
          * The givenname of the residence permit
         */
        "givenName"?: string;
        /**
          * The issuing authority of the residence permit
         */
        "issuingAuthority"?: string;
        /**
          * The issuing date of the residence permit
         */
        "issuingDate"?: string;
        /**
          * The permit duration of the residence permit
         */
        "permitDuration"?: string;
        /**
          * The issuing date of the residence permit
         */
        "permitType"?: string;
        /**
          * The surname of the residence permit
         */
        "surname"?: string;
    }
    interface GlassResidencePermitPt {
        /**
          * The expiration of the residence permit
         */
        "expiryDate"?: string;
        /**
          * The givenname of the residence permit
         */
        "givenName"?: string;
        /**
          * The issuing authority of the residence permit
         */
        "issuingAuthority"?: string;
        /**
          * The issuing date of the residence permit
         */
        "issuingDate"?: string;
        /**
          * The permit duration of the residence permit
         */
        "permitDuration"?: string;
        /**
          * The issuing date of the residence permit
         */
        "permitType"?: string;
        /**
          * The surname of the residence permit
         */
        "surname"?: string;
    }
    interface GlassResidencePermitTk {
        /**
          * The expiration of the residence permit
         */
        "expiryDate"?: string;
        /**
          * The givenname of the residence permit
         */
        "givenName"?: string;
        /**
          * The issuing authority of the residence permit
         */
        "issuingAuthority"?: string;
        /**
          * The issuing date of the residence permit
         */
        "issuingDate"?: string;
        /**
          * The permit duration of the residence permit
         */
        "permitDuration"?: string;
        /**
          * The issuing date of the residence permit
         */
        "permitType"?: string;
        /**
          * The surname of the residence permit
         */
        "surname"?: string;
    }
    interface IntrinsicElements {
        "glass-passport": GlassPassport;
        "glass-passport-gr": GlassPassportGr;
        "glass-passport-pt": GlassPassportPt;
        "glass-passport-tk": GlassPassportTk;
        "glass-residence-permit": GlassResidencePermit;
        "glass-residence-permit-gr": GlassResidencePermitGr;
        "glass-residence-permit-pt": GlassResidencePermitPt;
        "glass-residence-permit-tk": GlassResidencePermitTk;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "glass-passport": LocalJSX.GlassPassport & JSXBase.HTMLAttributes<HTMLGlassPassportElement>;
            "glass-passport-gr": LocalJSX.GlassPassportGr & JSXBase.HTMLAttributes<HTMLGlassPassportGrElement>;
            "glass-passport-pt": LocalJSX.GlassPassportPt & JSXBase.HTMLAttributes<HTMLGlassPassportPtElement>;
            "glass-passport-tk": LocalJSX.GlassPassportTk & JSXBase.HTMLAttributes<HTMLGlassPassportTkElement>;
            "glass-residence-permit": LocalJSX.GlassResidencePermit & JSXBase.HTMLAttributes<HTMLGlassResidencePermitElement>;
            "glass-residence-permit-gr": LocalJSX.GlassResidencePermitGr & JSXBase.HTMLAttributes<HTMLGlassResidencePermitGrElement>;
            "glass-residence-permit-pt": LocalJSX.GlassResidencePermitPt & JSXBase.HTMLAttributes<HTMLGlassResidencePermitPtElement>;
            "glass-residence-permit-tk": LocalJSX.GlassResidencePermitTk & JSXBase.HTMLAttributes<HTMLGlassResidencePermitTkElement>;
        }
    }
}
